from django.conf.urls import patterns, url

urlpatterns = patterns(
    'django.contrib.auth.views',
    url(r'^login/$', 'login', name='login'),
    url(r'^logout/$', 'logout_then_login', name='logout'),
)

urlpatterns += patterns(
    'locolanderweb.views',
    url(r'^$', 'home', name='home'),
    url(r'^projects/$', 'project_list', name='project-list'),
    url(r'^projects/add/$', 'project_add', name='project-add'),
    url(r'^projects/(?P<project_id>\d+)/$', 'project_detail',
        name='project-detail'),
)
